Subject: gcl: version in etch breaks maxima 5.9.3
From: Harald Geyer <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Thu, 20 Apr 2006 15:56:22 +0200

Package: gcl
Version: 2.6.7-14
Severity: normal

Hi!

I compiled the original maxima 5.9.3 sources, which worked fine.
However with the newly compiled maxima binary I get the following
session:

(%i1) bug_report();

The Maxima bug database is available at
    http://sourceforge.net/tracker/?atid=104933&group_id=4933&func=browse
Submit bug reports by following the 'Submit New' link on that page.
Please include the following build information with your bug report:
-------------------------------------------------------------

Maxima version: 5.9.3
Maxima build date: 13:0 3/31/2006
host type: i686-pc-linux-gnu
lisp-implementation-type: GNU Common Lisp (GCL)
lisp-implementation-version: GCL 2.6.7

-------------------------------------------------------------
The above information is also available from the Maxima function build_info().

(%o1)
(%i2) integrate(1/(a*x^2+b), x);
Is  a b  positive or negative?

Is  a b  positive or negative?

Is  a b  positive or negative?

Is  a b  positive or negative?

Is  a b  positive or negative?

Is  a b  positive or negative?

Is  a b  positive or negative?

Is  a b  positive or negative?

Is  a b  positive or negative?

Maxima encountered a Lisp error:

 Console interrupt.

Automatically continuing.
To reenable the Lisp debugger set *debugger-hook* to nil.
(%i3)

That is: Maxima asks the same question over and over again, without
giving me a chance to enter anything.

The same maxima sources work under sarge without any problems. So I
guess, it must be gcl's fault.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.4.27-1-386
Locale: LANG=de_AT@euro, LC_CTYPE=de_AT@euro (charmap=ISO-8859-15)

Versions of packages gcl depends on:
ii  debconf [debconf-2.0]     1.4.72         Debian configuration management sy
ii  gcc                       4:4.0.2-2      The GNU C compiler
ii  libc6                     2.3.6-7        GNU C Library: Shared libraries
ii  libgmp3c2                 4.1.4-10       Multiprecision arithmetic library
ii  libncurses5               5.5-1.1        Shared libraries for terminal hand
ii  libreadline5              5.1-7          GNU readline and history libraries
ii  libx11-6                  6.9.0.dfsg.1-6 X Window System protocol client li
ii  tcl8.4                    8.4.12-1       Tcl (the Tool Command Language) v8
ii  tk8.4                     8.4.12-1       Tk toolkit for Tcl and X11, v8.4 -

gcl recommends no packages.

-- debconf information:
* gcl/default_gcl_prof: false
* gcl/default_gcl_ansi: true